Geektionnerd : Firefox 5.0 est sorti !

Classé dans : Geektionnerd, Libres Cultures | 16

Firefox 5, le navigateur libre et respectueux de votre vie privée est sorti, 3 mois à peine après la version 4.0.

Geektionnerd - Simon Gee Giraudot - CC by-sa Geektionnerd - Simon Gee Giraudot - CC by-sa

Crédit  : Simon Gee Giraudot (Creative Commons By-Sa)

Auteur/dessinateur de bandes dessinées (Grise Bouille, Le Geektionnerd, Superflu, Bastards Inc, etc.). Et docteur en informatique (généraliste conventionné secteur 42).

16 Réponses

  1. Bof…
    C’est quoi cette fixette que les gens font sur le numéro de version ?
    C’est si important que ça ?
    Chaque projet libre a sa politique de numéro de version et en change à son gré. Il n’y a bien que les geeks ronchons pour en faire tout un plat.

  2. Le meilleur est dans le format de date : 55 mai 2011… ce qui dans le calendrier grégorien donne… 55-31=24 juin 2011. Quel raffinement, Gee !

    Afin d’éviter tout malentendu ultérieur, je précise – d’autant qu’il y a un professeur de mathématiques dans les parages – que je n’ai pas fraudé 😉

  3. >(Ah oui, et vous aurez remarqué que je ne suis pas passé au mois de juin. Pas envie. Juin est un mois pourri de partiels et autres soutenances et rapports, entre un mai férié dans tous les sens et un juillet vacancier. Voilà. Donc mai 2011 aura 61 jours sur le Geektionnerd. Et toc.)<
    http://geektionnerd.net/securite-so

  4. Comment cela va-t-il se passer sur Debian ? Iceweasel va suivre à votre avis ?

  5. @JosephK : j’ai dit qu’j’avais pas fraudé, nom d’une bactérie dans l’concombre !

    (merci quand même)

  6. @Taneleo :

    Iceweasel 4.0.1-4 est dans les dépôts experimental. Pour installer Iceweasel 5.0 finale il faut utiliser par exemple mozilla.debian.net .

    Chose amusante : alors que Iceweasel 4.0 était dans les dépôts expérimental depuis les premières bêtas, Iceweasel 5.0 stable n’y est pas encore. Firefox 4 n’étant plus supporté, on se retrouve dans experimental avec un logiciel…obsolète.

  7. Autre conséquences du cycle de développement rapide : essayez de trouver une mention du numéro de version sur le site officiel de Firefox. Idem pour Google Chrome…
    Les numéros de versions sont devenus un truc de geek, maintenant on parlera de « Firefox » ou « Chrom[e|ium]  » (et je ne parle même pas des version mineures qui sont devenues un vieux souvenir du passé)

    Finalement, ce n’est peut être pas plus mal. Trop nombreux sont ceux qui tirent des conclusions d’un simple numéro choisi arbitrairement.

  8. Mudochon

    La seule vraie bonne nouvelle, c’est qu’Ubuntu s’est enfin décidé à ne plus bloquer les changements de version de Firefox tant que l’on garde la même version de distribution.
    Et visiblement c’est déjà le cas pour le passage 4 ? 5 qui s’est fait tout seul sur mon PC.

  9. Un truc qui n’a pas l’air de sortir, c’est le compte-rendu de:

    Framasoft en visite chez Microsoft ou le rendez-vous en terre inconnue

    « Désolé pour le délai. Vais essayer de pondre mon petit compte-rendu dans la semaine. »

    aKa qui disait le 27 mar. 2011

  10. tuxmouraille

    Bonjour,
    La principale évolution c’est d’optimisation de l’usage de la ram. Presque divisé par deux de Firefox 4 à 5.
    Thunderbird lui va passera de la 3.x à 5.0.

  11. Lyaskator

    @tuxmouraille
    Oui, ça fait partie des nouveautés annoncées…
    Sauf que…je n’ai rien remarqué à ce niveau. Je surveillais déjà l’usage de RAM sous Firefox 4, avec les mêmes onglets sous la version 5, je n’ai rien vu de ce côté-là.

  12. keops

    Sous Linux comme sous Windows Sept, à part le numéro de version, rien n’a changé.
    Ah ben si, une évolution : mes plugins ne sont plus compatibles, y compris ceux qui sont nécessaires à la mise à jour de mon GPS par exemple.
    Je hais mozilla, là… Si il y a UNE SEULE ET UNIQUE mise à jour à faire, ça serait de plus avoir ces problèmes de compatibilité à la con, parce que soyons honnête, Firefox est une merde comme navigateur et sa seule force sont ses modules tiers. Supprimer la compatibilité avec ces modules, c’est juste pousser les gens à utiliser IE ou Opera, qui en temps que navigateur sans addons, sont largement meilleurs que Firefox à quasiment tous les niveaux!

  13. tuxmouraille

    Bonjour,
    @Lyaskator: j’avais regardé l’usage de la RAM pour l’affichage de la même page web en utilisant le profils, entre 4.0 et 5.0Beta. J’ai constaté que 5 utilise deux fois moins de RAM. Mais, bon ce teste ne vaut rien. Il faudrait réaliser des benchmarks sur des testes standardisés.

    @keops: Super merci. Cest vachement constructif comme remarque.
    Personne ne t’oblige à utiliser Firefox, tu le dis il a d’autre navigateurs webs, tu as le choix.

    Et puis tu parle de quoi? Des plugins ou des extensions? Parce que c’est pas la même chose. Les plugins, les vrais sont toujours compatibles d’une version à l’autre. Ce n’est pas le cas avec les extensions. Là tu ne peux en tenir rigueur à Mozilla. Ils sont écrit par des tiers. Personne ne t’oblige à passer à la dernière version, personne ne t’empêche d’attendre que les extensions soient mises à jours.

  14. et Thunderbird qui sort en version 5.0 juste pour s’adapter
    bientôt la politque mozilla sera cela sortira à la date prévu même sans mise à jour à par des correction mineurs et de quoi rendre les plug-in invalide avec la version.

  15. @keops : y a « addon compatibilty repporter » qui, s’il s’agit d’addon et non de pluggin, permet sous firefox (et sous thunderbird aussi) de continuer malgré tout d’utiliser des pluggins signaler comme non compatible. La plupart du temps, ça marche ! Surtout pour le passage de la 4.0 à la 5.0. En effet, il me semble que si le dev d’un addon ne la pas déclaré comme compatible, firefox par du principe que ça ne l’est pas.

    Attention par contre, l’extension est avant tout recommandée pour les testeurs. Si une vieille extension fait planter firefox, tu seras averti (personnellement, je n’ai jamais eu de problème, au pire l’extension ne marchait pas mais aucun plantage).

  16. tuxmouraille

    Bonjour,
    Je croit que Thunderbird passe ne version 5 pour suivre le numéro de version de Firefox et bien montré qu’il y a une grosse évolution. Bien que le fonctionnalités propres de Thunderbird n’évolues pas beaucoup de 3 à 5, le changement principale et important c’est le passage à Gecko 2.0.

    Bon maintenant il serait bien si Mozilla rendait le stockage des mails plus robuste. Il est temps d’en finir avec le système d’indexation actuel à base de fichiers .msf.

    Et puis il faudrait vraiment que les dossiers de profiles soient, sous GNU transférés dans le dossier ~/.config.